Message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class Message

    java.lang.Object
      network.Message

public class Message
extends java.lang.Object

Message Klasse Stellt ein Antwort Packet in der Client/Server Kommunikation dar und kann entweder ein Status od. ein Error sein

Field Summary
`static int` | `AUTHERR`
`static int` | `FILEERR`
`static int` | `IMGAVAIL`
`static int` | `LINEIMP`
`static int` | `MOTIMP`
`static int` | `NOTRANSOBJ`
`static int` | `POS`
`static int` | `POSIMP`
`static int` | `POSOCC`
`static int` | `REFRESH_FTP`
`static int` | `WAYIMP`

Constructor Summary
`Message(int i)` Konstruktor der empafangenes Byte-Array(NetMessage) übernimmt und Message zusammenstellt
`Message(NetMessage nm)` Konstruktor der empafangenes Byte-Array(NetMessage) übernimmt und Message zusammenstellt

Method Summary
`float` | `getfParam1()`
`float` | `getfParam2()`
`float` | `getfParam3()`
`int` | `getID()` GET - Methoden
`int` | `getiParam()`
`void` | `setfParam1(float f)`
`void` | `setfParam2(float f)`
`void` | `setfParam3(float f)`
`void` | `setID(int i)`
`void` | `setiParam(int i)` SET - Methoden

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POS

    public static final int POS

See Also:
  Constant Field Values

### IMGAVAIL

    public static final int IMGAVAIL

See Also:
  Constant Field Values

### REFRESH_FTP

    public static final int REFRESH_FTP

See Also:
  Constant Field Values

### POSIMP

    public static final int POSIMP

See Also:
  Constant Field Values

### POSOCC

    public static final int POSOCC

See Also:
  Constant Field Values

### WAYIMP

    public static final int WAYIMP

See Also:
  Constant Field Values

### MOTIMP

    public static final int MOTIMP

See Also:
  Constant Field Values

### FILEERR

    public static final int FILEERR

See Also:
  Constant Field Values

### LINEIMP

    public static final int LINEIMP

See Also:
  Constant Field Values

### NOTRANSOBJ

    public static final int NOTRANSOBJ

See Also:
  Constant Field Values

### AUTHERR

    public static final int AUTHERR

See Also:
  Constant Field Values

Constructor Detail

### Message

    public Message(int i)

  Konstruktor der empafangenes Byte-Array(NetMessage) übernimmt und Message zusammenstellt

Parameters:
  `i` - ID der Nachricht

### Message

    public Message(NetMessage nm)

  Konstruktor der empafangenes Byte-Array(NetMessage) übernimmt und Message zusammenstellt

Parameters:
  `nm` - NetMessage Objekt das in ein Message umgewandelt werden soll

Method Detail

### getID

    public int getID()

  GET - Methoden

### getiParam

    public int getiParam()

### getfParam1

    public float getfParam1()

### getfParam2

    public float getfParam2()

### getfParam3

    public float getfParam3()

### setiParam

    public void setiParam(int i)

  SET - Methoden

### setfParam1

    public void setfParam1(float f)

### setfParam2

    public void setfParam2(float f)

### setfParam3

    public void setfParam3(float f)

### setID

    public void setID(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD